Classes
Protocols
Constants
Functions
Macros
Types
Variables

### Classes

EOAggregateEvent
EOAndQualifier
EOArrayDataSource
EOClassDescription
EOCooperatingObjectStore
EOCustomObject
EODataSource
EODelayedObserver
EODelayedObserverQueue
EODetailDataSource
EOEditingContext
EOEvent
EOEventCenter
EOFault
EOFaultHandler
EOFetchSpecification
EOGenericRecord
EOGlobalID
EOKeyComparisonQualifier
EOKeyGlobalID
EOKeyValueArchiver
EOKeyValueQualifier
EOKeyValueUnarchiver
EOMultiReaderLock
EONotQualifier
EOObjectStore
EOObjectStoreCoordinator
EOObserverCenter
EOObserverProxy
EOOrQualifier
EOQualifier
EOQualifierVariable
EOSharedEditingContext
EOSortOrdering
EOTemporaryGlobalID
EOUndoManager

### Protocols

<EOEventRecordingHandler>
<EOKeyValueArchiving>
<EOObserving>
<EOQualifierEvaluation>
(Comparison)
(EODeprecated)
(EOEditingContextDelegation)
(EOEventRecordingHandler)
(EOKVCGDL2Additions)
(EOKeyValueCoding)
(EOKeyValueCodingAdditions)
(MacOSX)

### Constants

### Functions

EOCancelEvent
EOEditingContext_globalIDForObjectWithImpPtr
EOEditingContext_objectForGlobalIDWithImpPtr
EOEditingContext_recordObjectGlobalIDWithImpPtr
EOFLogAssertGood_
EOFLogC_
EOFLogDumpObject_
EOHashAddTable
EOMKKDInitializer_indexForKeyWithImpPtr
EOMKKD_hasKeyWithImpPtr
EOMKKD_indexForKeyWithImpPtr
EOMKKD_objectForKeyWithImpPtr
EOMKKD_removeObjectForKeyWithImpPtr
EOMKKD_setObjectForKeyWithImpPtr
EOMarkAtomicEvent
EOMarkEndOfEvent
EOMarkStartOfEvent
EONewEventOfClass
GDL2_Activate
GDL2_AssignAtomicallyIfNil
GDL2_PrivateInit
GDL2_isLegalDBName
GSUseStrictWO451Compatibility

### Macros

GDL2_BUFFER

### Types

EODeleteRule
EOEventSignatureType
EOObserverPriority

### Variables

EOAdditionalExceptionsKey
EOClassDescriptionNeededForClassNotification
EOClassDescriptionNeededForEntityNameNotification
EOClassDescriptionNeededNotification
EOCooperatingObjectStoreNeeded
EOCooperatingObjectStoreWasAdded
EOCooperatingObjectStoreWasRemoved
EODefaultSharedEditingContextWasInitializedNotification
EODeletedKey
EOEditingContextDidSaveChangesNotification
EOEventGroupName
EOEventLoggingEnabled
EOEventLoggingLimit
EOEventLoggingOverflowDisplay
EOFetchLimitHintKey
EOGlobalIDChangedNotification
EOInsertedKey
EOInvalidatedAllObjectsInStoreNotification
EOInvalidatedKey
EOObjectsChangedInEditingContextNotification
EOObjectsChangedInStoreNotification
EOPrefetchingRelationshipHintKey
EOPromptAfterFetchLimitHintKey
EOQualifierVariableSubstitutionException
EOSharedEditingContextInitializedObjectsNotification
EOTargetObjectUserInfoKey
EOUnknownUserInfoKey
EOUpdatedKey
EOValidatedObjectUserInfoKey
EOValidatedPropertyUserInfoKey
EOValidationException
GDL2_EOEditingContextClass
GDL2_EOEditingContext_globalIDForObjectIMP
GDL2_EOEditingContext_objectForGlobalIDIMP
GDL2_EOEditingContext_recordObjectGlobalIDIMP
GDL2_EOFaultClass
GDL2_EOMKKDInitializerClass
GDL2_EOMKKDInitializer_indexForKeyIMP
GDL2_EONull
GDL2_Lock
GDL2_MKKDClass
GDL2_MKKD_hasKeyIMP
GDL2_MKKD_indexForKeyIMP
GDL2_MKKD_objectForKeyIMP
GDL2_MKKD_removeObjectForKeyIMP
GDL2_MKKD_setObjectForKeyIMP
GDL2_NSArray
GDL2_NSArrayClass
GDL2_NSArray_arrayIMP
GDL2_NSAutoreleasePoolClass
GDL2_NSAutoreleasePool_newIMP
GDL2_NSCalendarDateClass
GDL2_NSCalendarDate_allocWithZoneIMP
GDL2_NSDataClass
GDL2_NSData_allocWithZoneIMP
GDL2_NSData_dataWithBytes_lengthIMP
GDL2_NSDateClass
GDL2_NSDecimalNumberClass
GDL2_NSDecimalNumber_allocWithZoneIMP
GDL2_NSDictionaryClass
GDL2_NSMutableArrayClass
GDL2_NSMutableArray_allocWithZoneIMP
GDL2_NSMutableArray_arrayIMP
GDL2_NSMutableArray_arrayWithArrayIMP
GDL2_NSMutableArray_arrayWithCapacityIMP
GDL2_NSMutableDictionaryClass
GDL2_NSMutableDictionary_allocWithZoneIMP
GDL2_NSMutableDictionary_dictionaryWithCapacityIMP
GDL2_NSNumberBool_No
GDL2_NSNumberBool_Yes
GDL2_NSNumberClass
GDL2_NSNumber_allocWithZoneIMP
GDL2_NSStringClass
GDL2_NSString_allocWithZoneIMP
GDL2_NSString_defaultCStringEncodingIMP
GDL2_NSString_stringWithCStringIMP
GDL2_NSString_stringWithCString_lengthIMP
eqSel

Up

# EONSAddOns

### Authors

Manuel Guesdon (`mguesdon@orange-concept.com`)

Date: Generated at 2026-02-03 22:13:20 +0000

Copyright: (C) 2000-2002,2003,2004,2005,2006,2007,2010

### Contents -

1. Software documentation for the NSArray(NSArrayPerformingSelector) category
2. Software documentation for the NSDictionary(EOAdditions) category
3. Software documentation for the NSMutableDictionary(EOAdditions) category
4. Software documentation for the NSObject(EOCompareOnName) category
5. Software documentation for the NSObject(NSObjectPerformingSelector) category
6. Software documentation for the NSObject(PerformSelect3) category
7. Software documentation for the NSString(EORelationshipPath) category
8. Software documentation for the NSString(Extensions) category
9. Software documentation for the NSString(StringToNumber) category
10. Software documentation for the NSString(VersionParsing) category
11. Software documentation for the NSString(YorYes) category
12. EONSAddOns macros
13. EONSAddOns functions

# Software documentation for the NSArray(NSArrayPerformingSelector) category

## NSArray(NSArrayPerformingSelector)

> Declared in:
>   EOControl/EONSAddOns.h

Description forthcoming.

### Method summary

- +diffOldArray:newArray:returnsRemovedValues:addedValues:
- -arrayByReplacingObject:withObject:
- -arrayExcludingObject:
- -arrayExcludingObjectsInArray:
- -containsIdenticalObjectsWithArray:
- -firstObject
- -resultsOfPerformingSelector:
- -resultsOfPerformingSelector:defaultResult:
- -resultsOfPerformingSelector:withObject:
- -resultsOfPerformingSelector:withObject:defaultResult:
- -resultsOfPerformingSelector:withObject:withObject:
- -resultsOfPerformingSelector:withObject:withObject:defaultResult:

### diffOldArray: newArray: returnsRemovedValues: addedValues:

+ (BOOL) diffOldArray: (NSArray*)oldArray newArray: (NSArray*)newArray returnsRemovedValues: (NSArray**)removedValues addedValues: (NSArray**)addedValues;
Description forthcoming.

### arrayByReplacingObject: withObject:

- (NSArray*) arrayByReplacingObject: (id)object1 withObject: (id)object2;
Description forthcoming.

### arrayExcludingObject:

- (NSArray*) arrayExcludingObject: (id)object;
Description forthcoming.

### arrayExcludingObjectsInArray:

- (NSArray*) arrayExcludingObjectsInArray: (NSArray*)array;
Description forthcoming.

### containsIdenticalObjectsWithArray:

- (BOOL) containsIdenticalObjectsWithArray: (NSArray*)array;
return `YES` if the 2 arrays contains exactly identical objects (compared by address) (i.e. only the order may change), `NO` otherwise

### firstObject

- (id) firstObject;
Description forthcoming.

### resultsOfPerformingSelector:

- (NSArray*) resultsOfPerformingSelector: (SEL)sel;
Description forthcoming.

### resultsOfPerformingSelector: defaultResult:

- (NSArray*) resultsOfPerformingSelector: (SEL)sel defaultResult: (id)defaultResult;
Description forthcoming.

### resultsOfPerformingSelector: withObject:

- (NSArray*) resultsOfPerformingSelector: (SEL)sel withObject: (id)obj1;
Description forthcoming.

### resultsOfPerformingSelector: withObject: defaultResult:

- (NSArray*) resultsOfPerformingSelector: (SEL)sel withObject: (id)obj1 defaultResult: (id)defaultResult;
Description forthcoming.

### resultsOfPerformingSelector: withObject: withObject:

- (NSArray*) resultsOfPerformingSelector: (SEL)sel withObject: (id)obj1 withObject: (id)obj2;
Description forthcoming.

### resultsOfPerformingSelector: withObject: withObject: defaultResult:

- (NSArray*) resultsOfPerformingSelector: (SEL)sel withObject: (id)obj1 withObject: (id)obj2 defaultResult: (id)defaultResult;
Description forthcoming.

# Software documentation for the NSDictionary(EOAdditions) category

## NSDictionary(EOAdditions)

> Declared in:
>   EOControl/EONSAddOns.h

Description forthcoming.

### Method summary

- +dictionaryWithNullValuesForKeys:
- -containsAnyNullObject

### dictionaryWithNullValuesForKeys:

+ (NSDictionary*) dictionaryWithNullValuesForKeys: (NSArray*)keys;
creates an new dictionary with EONull for the keys

### containsAnyNullObject

- (BOOL) containsAnyNullObject;
return `YES` if any EONull is into receiver. otherwise return `NO`.

# Software documentation for the NSMutableDictionary(EOAdditions) category

## NSMutableDictionary(EOAdditions)

> Declared in:
>   EOControl/EONSAddOns.h

Description forthcoming.

### Method summary

- +dictionaryWithDictionary:keys:
- -overrideEntriesWithObjectsFromDictionary:forKeys:
- -translateFromKeys:toKeys:

### dictionaryWithDictionary: keys:

+ (NSMutableDictionary*) dictionaryWithDictionary: (NSDictionary*)otherDictionary keys: (NSArray*)keys;
Creates an autoreleased mutable dictionary based on otherDictionary but only with keys from the keys array.

### overrideEntriesWithObjectsFromDictionary: forKeys:

- (void) overrideEntriesWithObjectsFromDictionary: (NSDictionary*)dict forKeys: (NSArray*)keys;
Override self values with values from dict for keys

### translateFromKeys: toKeys:

- (void) translateFromKeys: (NSArray*)currentKeys toKeys: (NSArray*)newKeys;
replaces the current keys with the new ones without changing the contents only keys from currentKeys are left in the receiver.

# Software documentation for the NSObject(EOCompareOnName) category

## NSObject(EOCompareOnName)

> Declared in:
>   EOControl/EONSAddOns.h

Description forthcoming.

### Method summary

- -eoCompareOnName:

### eoCompareOnName:

- (NSComparisonResult) eoCompareOnName: (id)object;
Description forthcoming.

# Software documentation for the NSObject(NSObjectPerformingSelector) category

## NSObject(NSObjectPerformingSelector)

> Declared in:
>   EOControl/EONSAddOns.h

Description forthcoming.

### Method summary

- -resultsOfPerformingSelector:withEachObjectInArray:
- -resultsOfPerformingSelector:withEachObjectInArray:defaultResult:

### resultsOfPerformingSelector: withEachObjectInArray:

- (NSArray*) resultsOfPerformingSelector: (SEL)sel withEachObjectInArray: (NSArray*)array;
Description forthcoming.

### resultsOfPerformingSelector: withEachObjectInArray: defaultResult:

- (NSArray*) resultsOfPerformingSelector: (SEL)sel withEachObjectInArray: (NSArray*)array defaultResult: (id)defaultResult;
Description forthcoming.

# Software documentation for the NSObject(PerformSelect3) category

## NSObject(PerformSelect3)

> Declared in:
>   EOControl/EONSAddOns.h

Description forthcoming.

### Method summary

- -performSelector:withObject:withObject:withObject:
- -performSelector:withPointer:

### performSelector: withObject: withObject: withObject:

- (id) performSelector: (SEL)selector withObject: (id)object1 withObject: (id)object2 withObject: (id)object3;
Causes the receiver to execute the method implementation corresponding to selector and returns the result.
The method must be one which takes three arguments and returns an object.
Raises NSInvalidArgumentException if given a null selector.
Causes the receiver to execute the method implementation corresponding to aSelector and returns the result.
The method must be one which takes three arguments and returns an object.
Raises NSInvalidArgumentException if given a null selector.

### performSelector: withPointer:

- (id) performSelector: (SEL)selector withPointer: (void*)ptr;
Description forthcoming.

# Software documentation for the NSString(EORelationshipPath) category

## NSString(EORelationshipPath)

> Declared in:
>   EOControl/EONSAddOns.h

Description forthcoming.

### Method summary

- -firstComponentFromRelationshipPath
- -lastComponentFromRelationshipPath
- -relationshipPathByDeletingFirstComponent
- -relationshipPathByDeletingLastComponent
- -relationshipPathIsMultiHop

### firstComponentFromRelationshipPath

- (NSString*) firstComponentFromRelationshipPath;
Description forthcoming.

### lastComponentFromRelationshipPath

- (NSString*) lastComponentFromRelationshipPath;
Description forthcoming.

### relationshipPathByDeletingFirstComponent

- (NSString*) relationshipPathByDeletingFirstComponent;
Description forthcoming.

### relationshipPathByDeletingLastComponent

- (NSString*) relationshipPathByDeletingLastComponent;
Description forthcoming.

### relationshipPathIsMultiHop

- (BOOL) relationshipPathIsMultiHop;
Description forthcoming.

# Software documentation for the NSString(Extensions) category

## NSString(Extensions)

> Declared in:
>   EOControl/EONSAddOns.h

Description forthcoming.

### Method summary

- -initialCapitalizedString

### initialCapitalizedString

- (NSString*) initialCapitalizedString;
Description forthcoming.

# Software documentation for the NSString(StringToNumber) category

## NSString(StringToNumber)

> Declared in:
>   EOControl/EONSAddOns.h

Description forthcoming.

### Method summary

- -longValue
- -shortValue
- -unsignedIntValue
- -unsignedLongLongValue
- -unsignedLongValue
- -unsignedShortValue

### longValue

- (long) longValue;
Description forthcoming.

### shortValue

- (short) shortValue;
Description forthcoming.

### unsignedIntValue

- (unsigned int) unsignedIntValue;
Description forthcoming.

### unsignedLongLongValue

- (unsigned long long) unsignedLongLongValue;
Description forthcoming.

### unsignedLongValue

- (unsigned long) unsignedLongValue;
Description forthcoming.

### unsignedShortValue

- (unsigned short) unsignedShortValue;
Description forthcoming.

# Software documentation for the NSString(VersionParsing) category

## NSString(VersionParsing)

> Declared in:
>   EOControl/EONSAddOns.h

Description forthcoming.

### Method summary

- -parsedFirstVersionSubstring

### parsedFirstVersionSubstring

- (int) parsedFirstVersionSubstring;
Description forthcoming.

# Software documentation for the NSString(YorYes) category

## NSString(YorYes)

> Declared in:
>   EOControl/EONSAddOns.h

Description forthcoming.

### Method summary

- -isYorYES

### isYorYES

- (BOOL) isYorYES;
Description forthcoming.

# EONSAddOns macros

### GDL2_BUFFER

GDL2_BUFFER(ID, SIZE, TYPE)
This define is experimental. Expect it to be replaced.

# EONSAddOns functions

### GDL2_Activate

void GDL2_Activate(Class sup, Class cls);
Description forthcoming.

### GSUseStrictWO451Compatibility

BOOL GSUseStrictWO451Compatibility(NSString* key);
This define is experimental. Expect it to be replaced.

Up